/* System-dependent definitions of various files, spool directories, etc */

#include "global.h"

#if	(defined(LATTICE) || defined(MSC) || defined(__TURBOC__) || defined(MAC) || defined(ATARI_ST))
/* These compilers require special open modes when reading binary files
 *
 * "The single most brilliant design decision in all of UNIX was the
 * choice of a SINGLE character as the end-of-line indicator" -- M. O'Dell
 *
 * "Whoever picked the end-of-line conventions for MS-DOS and the Macintosh
 * should be shot!" -- P. Karn's corollary to O'Dells' declaratiti
 *
 * Index definitions for this array are in global.h
 */
char *binmode[] = {
	"rb",	/* Read binary */
	"wb",	/* Write binary */
	"ab"	/* Append binary */
};
#else
/* fopen modes for binary files under Aztec -- same as UNIX */
char *binmode[] = {
	"r",	/* Read */
	"w",	/* Write */
	"a"	/* Append */
};
#endif

/* don't move the Atari files def, there is a bug in the compiler that causes */
/* trouble with the "mailqueue" definition of other systems (comment sequence) */
/* the a: in filenames below is fixed at program startup - don't remove it! */
#ifdef	ATARI_ST
char startup[]	 = "a:\\net\\autoexec.net";	/* Initialization file */
char on_exit[]	 = "a:\\net\\onexit.net";	/* Terminatitn file */
char userfile[]	 = "a:\\net\\ftpusers";		/* Authorized FTP users and passwords */
char hosts[]	 = "a:\\net\\hosts.net";	/* Network host table */
char fingersuf[] = ".txt";			/* Finger file suffix */
char fingerpath[]= "a:\\net\\finger\\";		/* Finger file path */
char mailspool[] = "a:\\net\\mail\\";		/* Incoming mail */
char mailqdir[]	 = "a:\\net\\mqueue\\";		/* Outgoing mail spool */
char mailsuf[]	 = ".txt";			/* Mail file suffix */
char mailqueue[] = "*.wrk";			/* Outgoing mail work files */
char routeqdir[] = "a:\\net\\rqueue\\";		/* queue for router */
char alias[]	 = "a:\\net\\alias";		/* the alias file */
char tmpdir[]	 = "a:\\net\\tmp";		/* temp files directory */
char bm_rc[]	 = "a:\\net\\bm.rc";		/* BM reconfiguratitn file */
#endif

#ifdef	MSDOS
#ifdef	ROOTDIR
char startup[]	 = "/autoexec.net";		/* Initializatitn file */
char on_exit[]	 = "/onexit.net";		/* Terminatitn file */
char userfile[]	 = "/ftpusers";			/* Authorized FTP users and passwords */
char hosts[]	 = "/hosts.net";		/* Network host table */
char fingersuf[] = ".txt";			/* Finger file suffix */
char fingerpath[]= "/finger/";			/* Finger file path */
char mailspool[] = "/spool/mail/";		/* Incoming mail */
char mailqdir[]	 = "/spool/mqueue/";		/* Outgoing mail spool */
char mailsuf[]	 = ".txt";			/* Mail file suffix */
char mailqueue[] = "*.wrk";			/* Outgoing mail work files */
char routeqdir[] = "/spool/rqueue/";		/* queue for router */
char alias[]	 = "/alias";			/* the alias file */
char bm_rc[]	 = "/bm.rc";			/* BM reconfiguration file */
#else
char startup[]	 = "/net/autoexec.net";		/* Initialization file */
char on_exit[]	 = "/net/onexit.net";		/* Termination file */
char userfile[]	 = "/net/ftpusers";		/* Authorized FTP users and passwords */
char hosts[]	 = "/net/hosts.net";		/* Network host table */
char fingersuf[] = ".txt";			/* Finger file suffix */
char fingerpath[]= "/net/finger/";		/* Finger file path */
char mailspool[] = "/spool/mail/";		/* Incoming mail */
char mailqdir[]	 = "/spool/mqueue/";		/* Outgoing mail spool */
char mailsuf[]	 = ".txt";			/* Mail file suffix */
char mailqueue[] = "*.wrk";			/* Outgoing mail work files */
char routeqdir[] = "/spool/rqueue/";		/* queue for router */
char alias[]	 = "/net/alias";		/* the alias file */
char bm_rc[]	 = "/net/bm.rc";		/* BM reconfiguratitn file */
#endif
#endif

#ifdef	CPM
char startup[]	 = "a:autoexec.net";		/* Initialization file */
char on_exit[]	 = "a:onexit.net";		/* Termination file */
char userfile[]	 = "a:ftpusers";		/* Authorized FTP users and passwords */
char hosts[]	 = "a:hosts.net";		/* Network host table */
char mailspool[] = "a:";			/* Incoming mail */
char mailqdir[]	 = "a:";			/* Outgoing mail spool */
char mailsuf[]	 = ".txt";			/* Mail file suffix */
char mailqueue[] = "a:*.wrk";			/* Outgoing mail work files */
char routeqdir[] = "a:";			/* queue for router */
char alias[]	 = "a:alias";			/* the alias file */
char tmpdir[]	 = "a:";			/* temp files directory */
char bm_rc[]	 = "a:bm.rc";			/* BM reconfiguration file */
#endif

#ifdef	UNIX
char startup[] = "autoexec.net";		/* Initializatitn file */
char on_exit[]	 = "onexit.net";		/* Termination file */
char userfile[] = "ftpusers";			/* Authorized FTP users and passwords */
char hosts[] = "hosts.net";			/* Network host table */
char fingersuf[] = "";				/* Finger file suffix */
char fingerpath[]= "finger/";			/* Finger file path */
char mailspool[] = "/usr/spool/mail/";		/* Incoming mail */
char mailqdir[] = "/usr/spool/mqueue/";		/* Outgoing mail spool */
char mailsuf[] = "";				/* Mail file suffix */
char mailqueue[] = "*.wrk";			/* Outgoing mail work files */
char routeqdir[] = "/usr/spool/rqueue/";	/* queue for router */
char alias[] = "alias";				/* the alias file */
#endif

#ifdef	AMIGA
char startup[] = "TCPIP:net.start";
char on_exit[] = "TCPIP:net.onexit";		/* Termination file */
char userfile[] = "TCPIP:ftpusers";
char hosts[] = "TCPIP:hosts.net";
char fingersuf[] = ".txt";			/* Finger file suffix */
char fingerpath[]= "TCPIP:finger/";		/* Finger file path */
char mailspool[] = "TCPIP:spool/mail/";
char mailqdir[] = "TCPIP:spool/mqueue/";
char mailsuf[]	 = ".txt";			/* Mail file suffix */
char mailqueue[] = "*.wrk";			/* Outgoing mail work files */
char routeqdir[] = "TCPIP:spool/rqueue/";	/* queue for router */
char alias[] = "TCPIP:alias";			/* the alias file */
#endif

#ifdef	MAC
char startup[] = "Hard Disk:net.start";
char userfile[] = "Hard Disk:ftpusers";
char hosts[] = "Hard Disk:hosts.net";
char mailspool[] = "Hard Disk:spool:mail:";
char mailqdir[] = "Hard Disk:spool:mqueue:";
char mailsuf[]	 = ".txt";			/* Mail file suffix */
char mailqueue[] = "*.wrk";			/* Outgoing mail work files */
char routeqdir[] = "Hard Disk:spool:rqueue:";	/* queue for router */
char alias[] = "Hard Disk:alias";		/* the alias file */
#endif

